petsc-3.4.2 2013-07-02

# PetscLogSet

Sets the logging functions called at the beginning and ending of every event.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogSet(PetscErrorCode (*b)(PetscLogEvent, int, PetscObject, PetscObject, PetscObject, PetscObject),
                                PetscErrorCode (*e)(PetscLogEvent, int, PetscObject, PetscObject, PetscObject, PetscObject))

Not Collective

### Input Parameters

| b | - The function called at beginning of event
| e | - The function called at end of event

### See Also

PetscLogDump(), PetscLogBegin(), PetscLogAllBegin(), PetscLogTraceBegin()

Level:developer
Location:src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages